org.richfaces.fragment.calendar

## Class FooterControls

- java.lang.Object
- - org.richfaces.fragment.calendar.FooterControls

- Direct Known Subclasses:
    PopupCalendar.PopupFooterControls

      public class FooterControls
      extends Object

  Component for footer controls of calendar.
  Author:
    Jiri Stefek

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FooterControls()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanDate()`
    `protected RichFacesAdvancedInlineCalendar.CalendarEditor` | `getCalendarEditor()`
    `org.openqa.selenium.WebElement` | `getCleanButtonElement()`
    `org.openqa.selenium.WebElement` | `getRoot()`
    `org.openqa.selenium.WebElement` | `getSelectedDateElement()`
    `TimeEditor` | `getTimeEditor()`
    `org.openqa.selenium.WebElement` | `getTimeEditorOpenerElement()`
    `org.openqa.selenium.WebElement` | `getTodayButtonElement()`
    `boolean` | `isVisible()`
    `TimeEditor` | `openTimeEditor()`
    `void` | `setCalendarEditor(RichFacesAdvancedInlineCalendar.CalendarEditor calendarEditor)`
    `void` | `setTodaysDate()`
    `void` | `todayDate()`
    `WaitingWrapper` | `waitUntilIsNotVisible()`
    `WaitingWrapper` | `waitUntilIsVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FooterControls

          public FooterControls()

  - ### Method Detail

    - #### cleanDate

          public void cleanDate()

    - #### getCleanButtonElement

          public org.openqa.selenium.WebElement getCleanButtonElement()

    - #### getTimeEditor

          public TimeEditor getTimeEditor()

    - #### getTimeEditorOpenerElement

          public org.openqa.selenium.WebElement getTimeEditorOpenerElement()

    - #### getTodayButtonElement

          public org.openqa.selenium.WebElement getTodayButtonElement()

    - #### getSelectedDateElement

          public org.openqa.selenium.WebElement getSelectedDateElement()

    - #### isVisible

          public boolean isVisible()

    - #### openTimeEditor

          public TimeEditor openTimeEditor()

    - #### setCalendarEditor

          public void setCalendarEditor(RichFacesAdvancedInlineCalendar.CalendarEditor calendarEditor)

    - #### setTodaysDate

          public void setTodaysDate()

    - #### todayDate

          public void todayDate()

    - #### waitUntilIsNotVisible

          public WaitingWrapper waitUntilIsNotVisible()

    - #### waitUntilIsVisible

          public WaitingWrapper waitUntilIsVisible()

    - #### getRoot

          public org.openqa.selenium.WebElement getRoot()

    - #### getCalendarEditor

          protected RichFacesAdvancedInlineCalendar.CalendarEditor getCalendarEditor()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.